"""added field_types

Revision ID: 7748bc1918ad
Revises: 166f2b7658b4
Create Date: 2019-03-13 18:01:19.615302

"""
import sys
from alembic import op
from pathlib import Path
import sqlalchemy as sa
root_path = Path(__file__).resolve().parent.parent.parent.parent
sys.path.insert(0, str(root_path))

import backend.model


# revision identifiers, used by Alembic.
revision = '7748bc1918ad'
down_revision = '166f2b7658b4'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('_ax_field_types',
                    sa.Column('uuid', backend.model.GUID(), nullable=False),
                    sa.Column('name', sa.String(length=255), nullable=True),
                    sa.Column('default_name', sa.String(
                        length=255), nullable=True),
                    sa.Column('default_db_name', sa.String(
                        length=255), nullable=True),
                    sa.Column('order', sa.Integer(), nullable=True),
                    sa.Column('value_type', sa.String(
                        length=255), nullable=True),
                    sa.Column('web_element', sa.String(
                        length=255), nullable=True),
                    sa.Column('comparator', sa.String(
                        length=255), nullable=True),
                    sa.Column('is_group', sa.Boolean(), nullable=True),
                    sa.Column('field_group_name', sa.String(
                        length=255), nullable=True),
                    sa.Column('icon', sa.String(length=255), nullable=True),
                    sa.Column('is_inline_editable',
                              sa.Boolean(), nullable=True),
                    sa.Column('is_backend_available',
                              sa.Boolean(), nullable=True),
                    sa.Column('is_updated_always',
                              sa.Boolean(), nullable=True),
                    sa.Column('is_always_whole_row',
                              sa.Boolean(), nullable=True),
                    sa.PrimaryKeyConstraint('uuid'),
                    sa.UniqueConstraint('uuid')
                    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('_ax_field_types')
    # ### end Alembic commands ###
